package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.dto.SfcDispatchDto;
import com.foreverwin.mesnac.common.model.ProdReadyTask;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产准备任务主表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-06-23
 */
public interface ProdReadyTaskService extends IService<ProdReadyTask> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ProdReadyTask> selectPage(FrontPage<ProdReadyTask> frontPage, ProdReadyTask prodReadyTask);

    List<ProdReadyTask> selectList(ProdReadyTask prodReadyTask);

    void createTask(List<SfcDispatchDto> sfcDispatchDtoList);

    List<ProdReadyTask> getTaskList(ProdReadyTask queryWrapper);

    ProdReadyTask loadProExecute(String taskBo);

    List<Map<String, Object>>    getInspectionDetailList(Map<String, String> param);

    boolean saveResult(ProdReadyTask prodReadyTask);

    void doPrint(ProdReadyTask prodReadyTask ,String printerName);

    void sendMsgJob(String site);

    void doReadyList(List<ProdReadyTask> list);

    Map<String, Object> loadTaskExecute(String taskBo);

    void savePdaResult(ProdReadyTask prodReadyTask);
}